C API Functions

## udbListKindReference

### Description

Return allocated list of all reference kinds. Call udbListKindFree() to free this list.

Refer to the language-specific listings of reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     void   udbListKindReference(UdbKind **list, int *items)

### Arguments

Argument | description
--- | ---
UdbEntity **list | Return allocated array of all reference kinds.
int *items | If not NULL, return size of array.

### Return Values

There are no function return values.

### Example Usage

This example gets the list of reference kinds, prints the long name of each reference kind, and frees the list of reference kinds.

     udbListKindReference(&refkinds, &size);
    printf ("All Reference Kinds: \n");
    for (i=0; i<size; i++) {
         printf ("  %s\n", udbKindLongname(refkinds[i]) );
    }
    udbListKindFree(refkinds);

### See Also

udbListKindFree to free the kinds list.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com